# eric6.Plugins.WizardPlugins.DotDesktopWizard.DotDesktopWizardDialog

Module implementing the .desktop wizard dialog.

### Global Attributes

None

### Classes

DotDesktopWizardDialog | Class implementing the .desktop wizard dialog.

### Functions

None

## DotDesktopWizardDialog

Class implementing the .desktop wizard dialog.

### Derived from

QDialog, Ui_DotDesktopWizardDialog

### Class Attributes

None

### Class Methods

None

### Methods

DotDesktopWizardDialog | Constructor
__checkOK | Private slot to check, if the OK button should be enabled.
getCode | Public method to get the source code.
on_categoriesButton_clicked | Private slot to select the categories.
on_nameEdit_textChanged | Private slot to check, if the nameEdit field is empty.
on_notShowButton_clicked | Private slot to select the NotShowIn environments.
on_notShowEdit_textChanged | Private slot to check the contents of the notShowEdit field.
on_onlyShowButton_clicked | Private slot to select the OnlyShowIn environments.
on_onlyShowEdit_textChanged | Private slot to check the contents of the onlyShowEdit field.
on_projectButton_clicked | Private slot to populate some fields with data retrieved from the current project.
on_typeComboBox_currentIndexChanged | Private slot to handle a change of the .desktop type.
on_typeEdit_textChanged | Private slot to check, if the typeEdit field is empty.

### Static Methods

None

#### DotDesktopWizardDialog (Constructor)

DotDesktopWizardDialog(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### DotDesktopWizardDialog.__checkOK

__checkOK()

Private slot to check, if the OK button should be enabled.

#### DotDesktopWizardDialog.getCode

getCode()

Public method to get the source code.

Returns:
  generated code (string)

#### DotDesktopWizardDialog.on_categoriesButton_clicked

on_categoriesButton_clicked()

Private slot to select the categories.

#### DotDesktopWizardDialog.on_nameEdit_textChanged

on_nameEdit_textChanged(txt)

Private slot to check, if the nameEdit field is empty.

txt
  text of the entry field (string)

#### DotDesktopWizardDialog.on_notShowButton_clicked

on_notShowButton_clicked()

Private slot to select the NotShowIn environments.

#### DotDesktopWizardDialog.on_notShowEdit_textChanged

on_notShowEdit_textChanged(txt)

Private slot to check the contents of the notShowEdit field.

txt
  text of the entry field (string)

#### DotDesktopWizardDialog.on_onlyShowButton_clicked

on_onlyShowButton_clicked()

Private slot to select the OnlyShowIn environments.

#### DotDesktopWizardDialog.on_onlyShowEdit_textChanged

on_onlyShowEdit_textChanged(txt)

Private slot to check the contents of the onlyShowEdit field.

txt
  text of the entry field (string)

#### DotDesktopWizardDialog.on_projectButton_clicked

on_projectButton_clicked()

Private slot to populate some fields with data retrieved from the current project.

#### DotDesktopWizardDialog.on_typeComboBox_currentIndexChanged

on_typeComboBox_currentIndexChanged(index)

Private slot to handle a change of the .desktop type.

index
  index of the selected entry (integer)

#### DotDesktopWizardDialog.on_typeEdit_textChanged

on_typeEdit_textChanged(txt)

Private slot to check, if the typeEdit field is empty.

txt
  text of the entry field (string)

Up